Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455033 - kadmind is not able to write to /var/kerberos/krbkdc/principal.ok file
Summary: kadmind is not able to write to /var/kerberos/krbkdc/principal.ok file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 15:46 UTC by Daniel Walsh
Modified: 2012-10-16 08:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:32:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0163 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2009-01-20 16:05:21 UTC

Description Daniel Walsh 2008-07-11 15:46:59 UTC
Description of problem:

This is a problem with the file labeling as well as kerberos not creating it
with the correct label at creation.

File should be labeled krbkdc_lock_t and kadmin and krb5kdc should be able to
write/lock this file.

Comment 1 RHEL Product and Program Management 2008-07-11 15:59:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Daniel Walsh 2008-07-16 18:35:01 UTC
Fixed in selinux-policy-2.4.6-142.el5 

Comment 7 Dax Kelson 2008-10-14 20:28:52 UTC
When is this going to be released as an errata package? This is biting us.

Comment 8 Dax Kelson 2008-10-14 20:44:42 UTC
Also which type is correct? krbkdc_lock_t or krb5kdc_principal_t

Comment 9 Daniel Walsh 2008-10-15 01:50:46 UTC
You can down load preview copies from

http://people.redhat.com/dwalsh/SELinux/RHEL5/

Comment 12 errata-xmlrpc 2009-01-20 21:32:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html


Note You need to log in before you can comment on or make changes to this bug.